package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.HelpActivity;
import com.huiju.estateagents.mapper.HelpActivityMapper;
import com.huiju.estateagents.service.IHelpActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.xml.crypto.Data;
import java.time.LocalDateTime;

/**
 * <p>
 * 助力活动  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Service
public class HelpActivityServiceImpl extends ServiceImpl<HelpActivityMapper, HelpActivity> implements IHelpActivityService {

    @Autowired
    HelpActivityMapper taHelpActivityMapper;
    @Override
    public ResponseBean helpActivityList(Integer pageNum, Integer pageSize, Integer cityId, String buildingId, String title, Data startDate, Data endDate, Integer status, Integer orgId) {
        ResponseBean responseBean = new ResponseBean<>();
        IPage<HelpActivity> pg = new Page<>(pageNum, pageSize);
        IPage<HelpActivity> result = taHelpActivityMapper.helpActivityListPage(pg,cityId,buildingId,title,startDate,endDate,status,orgId);
        responseBean.addSuccess(result);
        return responseBean;
    }

    @Override
    public void helpActivityAdd(HelpActivity helpActivity,Integer orgId) {
        helpActivity.setOrgId(orgId)
                .setCreateDate(LocalDateTime.now());
        taHelpActivityMapper.insert(helpActivity);
    }

    @Override
    public void helpActivityUpdate(HelpActivity helpActivity) {
        taHelpActivityMapper.updateById(helpActivity);
    }
}
